API ReferenceVacation
Retrieves the collection of Vacation resources XLSX.
GET
Retrieves the collection of Vacation resources XLSX.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
page?integerThe collection page number
Default
1itemsPerPage?integerThe number of items per page
Range
0 <= value <= 100Default
30pagination?booleanEnable or disable pagination
search?stringcalendarUser?stringcalendarUser[]?array<string>vacationYear?integervacationYear[]?array<integer>status?stringstatus[]?array<string>vacationType?stringvacationType[]?array<string>issueDate?stringissueDate[]?stringvacationType.isActive?booleanvacationType.isActive[]?array<boolean>calendarUser.canLogIn?booleanvacationDates.date[before]?stringvacationDates.date[strictly_before]?stringvacationDates.date[after]?stringvacationDates.date[strictly_after]?stringorder[vacationYear]?stringDefault
"asc"Value in
"asc""desc"order[status]?stringDefault
"asc"Value in
"asc""desc"order[vacationType.name]?stringDefault
"asc"Value in
"asc""desc"order[issueDate]?stringDefault
"asc"Value in
"asc""desc"order[createdAt]?stringDefault
"asc"Value in
"asc""desc"order[updatedAt]?stringDefault
"asc"Value in
"asc""desc"order[vacationDates.date]?stringDefault
"asc"Value in
"asc""desc"Vacation collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/calendar/vacations/export-xlsx'Example Response
[ { "key": "string", "downloadUrl": "string" }]